Subject: Re: [PATCH 2/2] use REALLOC_ARRAY for changing the allocation size of arrays

From: René Scharfe <[email-masked]>
Date: Wed, 24 Sep 2014 21:27:25 +0200

Am 24.09.2014 um 20:47 schrieb Jonathan Nieder:
> René Scharfe wrote:
>
>> --- a/khash.h
>> +++ b/khash.h
>
> (not really about this patch) Where did this file come from?  Do we
> want to be able to sync with upstream to get later bugfixes (e.g.,
> https://github.com/attractivechaos/klib/commit/000f0890)?  If so, it
> might make sense to avoid unnecessary changes to the file so it's
> easier to see when it's safe to replace the file wholesale with a new
> version.

True.  For this patch we're safe, I think, because it already called 
xrealloc before I touched it (and has been doing that since it was 
imported into git).

René